Skip to main content
POST
Deactivate a payment link

Authorizations

Authorization
string
header
required

Your API key: sk_live_… / sk_test_… (secret), pk_live_… / pk_test_… (publishable, read-only reference data) or rk_live_… / rk_test_… (payments only).

Path Parameters

id
string
required

The link's id.

Example:

"0b6f6a51-6f1e-4b0e-9a55-2f4f1c9d7e10"

Response

The link.

id
string
url
string

The checkout address to send to your customer.

code
string
status
enum<string>

active: can be paid. inactive: deactivated by you, can be reactivated. completed: a once link that has been paid (final). expired: its expiresAt has passed (final).

Available options:
active,
inactive,
completed,
expired
liveMode
boolean
name
string
description
string
amount
number
currency
string
Example:

"MWK"

items
object[]
usage
enum<string>
Available options:
many,
once
timesPaid
integer

The number of completed payments.

collectName
boolean
collectEmail
boolean
redirectUrl
string | null
createdAt
string<date-time>
expiresAt
string<date-time> | null
subMerchantAccountCode
string | null
subMerchantName
string | null